li > ul{
  padding-left: 1rem;
}

input[type=file]#upload{
  height: auto;
  line-height: 0;
}

td > .gf-form-input{
  border: none;
}

kbd{
  padding: .2rem .4rem;
  font-size: 87.5%;
  color: #fff;
  background-color: rgba(33, 37, 41, .6);
  border-radius: .2rem;

  kbd {
    padding: 0;
    font-size: 100%;
    font-weight: 700;
  }
}

code, kbd, pre, samp {
  font-family: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
  font-size: 1em;
}

.how-to{
  kbd{
    background-color: #0e76bc;
  }
}

#gnb .alert{
  padding-top: .5rem;
  padding-bottom: .5rem;
  margin-left: 1rem;
}

.how-to{
  padding: 2rem;
}

.custom-btn{
  font-size: 15px;
  margin-right: 15px;
}

.btn-fixed{
  width: 7rem;
}

.panel-height-helper{
  overflow: auto;
}

.custom-label{
  font-size: 15px;
  padding: .5rem 1rem;
}

#editNetworkGraph{
  display: block;
  overflow: auto;
}

#file-upload-wrapper {
  $defaultColor: #0e76bc;
  $height: 36px;

  position: relative;
  width: 100%;
  max-width: 250px;
  height: $height;

  &:before {
    content: 'Upload';
    position: absolute;
    top: 0;
    right: 0;
    display: inline-block;
    height: $height;
    background: $defaultColor;
    border: 1px solid #262628;
    color: #fff;
    z-index: 25;
    line-height: $height;
    padding: 0 15px;
    pointer-events: none;
  }

  &:after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0;
    background: #09090b;
    border: 1px solid #262628;
    padding: 10px 15px;
    display: block;
    width: 100%;
    pointer-events: none;
    z-index: 20;
    height: $height;
    line-height: 17px;
    color: #999;
    font-weight: 300;
  }

  &:hover {
    &:before {
      background: lighten($defaultColor, 10%);
    }
  }

  input {
    opacity: 0;
    position: absolute;
    top: 0;
    z-index: 99;
    height: $height;
    margin: 0;
    padding: 0;
    display: block;
    cursor: pointer;
    width: 100%;
  }
}

$svg-white: #fff;
$svg-blue-dark: #042e3e;
$svg-gray-light: #333;

svg{
  fill: #ffffff;
  /*border: 1px solid black;*/
  g{
    rect.node-shape{
      fill:$svg-white !important;
      stroke: none !important;
    }
    rect.node-bar{
      fill: #0071c1 !important;
    }
    rect.node-value{
      font-size: 15px !important;
    }
    text.node-name{
      fill: $svg-blue-dark !important;
      font-weight: bold !important;
    }
    text.node-pct{
      fill: $svg-white !important;
    }
    text.node-value{
      fill: $svg-gray-light !important;
    }
  }
  line.edge-line {
    stroke: $svg-white !important;
  }
  path.edge-head {
    fill: $svg-white !important;
  }
}

#active-network, #stopped-network {
  font-size: 1.0rem;
  font-weight: bold;
  margin-left: .7rem;
}

#active-network {
  color: #008000;
}

#stopped-network {
  color: #d43a2a;
}

.style_tab{
  border-bottom: 1px solid #333;
  margin: 30px 0;
}

.multiple{
  padding-top: 23px;
  padding-bottom: 23px;
}

// TABLE
$border-color: #262628;
table {
  border-collapse: collapse;
}

th{
  background: #09090b;
}

.table {
  margin-bottom: 1rem;
  overflow: auto;
  display: block;

  .gf-form-input{
    background: #191a1d;
    box-shadow: none;
    min-width: 40px;
    padding: 0;

    &:focus{
      box-shadow: none;
    }
  }

  th, td{
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid $border-color;
  }

  thead{
    td{
      vertical-align: bottom;
      border-bottom: 2px solid $border-color;
    }
  }

  tbody {
    border-top: 2px solid $border-color;

    td{
      background-color: #191a1d;

      &:focus-within{
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 5px rgba(102,175,233,.6);
        position: relative;
      }
    }
  }

}

.table-sm th,
.table-sm td {
  padding: 0.3rem;
}

.table-bordered {
  border: 1px solid $border-color;
}

.table-bordered th,
.table-bordered td {
  border: 1px solid $border-color;
}

.table-bordered thead th,
.table-bordered thead td {
  border-bottom-width: 2px;
}

.table-dark,
.table-dark > th,
.table-dark > td {
  background-color: #c6c8ca;
}

.table-dark th,
.table-dark td,
.table-dark thead th,
.table-dark tbody + tbody {
  border-color: #95999c;
}

.table-hover .table-dark:hover {
  background-color: #b9bbbe;
}

.table-hover .table-dark:hover > td,
.table-hover .table-dark:hover > th {
  background-color: #b9bbbe;
}

.table .thead-dark th {
  color: #fff;
  background-color: #343a40;
  border-color: $border-color;
}

.table-dark {
  color: #fff;
  background-color: transparent;
}

.table-dark th,
.table-dark td,
.table-dark thead th {
  border-color: $border-color;
}

.table-dark.table-bordered {
  border: 0;
}

.table-dark.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(255, 255, 255, 0.05);
}

.table-dark.table-hover tbody tr:hover {
  color: #fff;
  background-color: rgba(255, 255, 255, 0.075);
}

@media (max-width: 575.98px) {
  .table-responsive-sm {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive-sm > .table-bordered {
    border: 0;
  }
}

@media (max-width: 767.98px) {
  .table-responsive-md {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive-md > .table-bordered {
    border: 0;
  }
}

@media (max-width: 991.98px) {
  .table-responsive-lg {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive-lg > .table-bordered {
    border: 0;
  }
}

@media (max-width: 1199.98px) {
  .table-responsive-xl {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive-xl > .table-bordered {
    border: 0;
  }
}

.table-responsive {
  display: block;
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
}

.table-responsive > .table-bordered {
  border: 0;
}

#gnb{
  .page-header__tabs{
    display: block;
  }
}

// MODAL
#gnb{
  .modal{
    background: none;
    box-shadow: none;
    z-index: 0;
    width: 420px;

    &.show{
      z-index: 9999;
    }
  }

  .modal-dialog {
    position: relative;

    .modal.fade &{
      transition: -webkit-transform .3s ease-out;
      transition: transform .3s ease-out;
      transition: transform .3s ease-out,-webkit-transform .3s ease-out;
      -webkit-transform: translate(0,-25%);
      transform: translate(0,-25%);
    }

    .modal.show &{
      -webkit-transform: translate(0,0);
      transform: translate(0,0);
    }
  }

  .modal-header{
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(90deg,#ffd500 0,#f40 99%,#f40) 1;
  }

  .modal-content{
    background-color: #212124;
  }

  .fade {
    opacity: 0;
    transition: opacity .15s linear;
  }

  .fade.show {
    opacity: 1;
  }
}

.modal-backdrop{
  display: none;
  z-index: 0;

  .modal.show &{
    display: block;
  }
}
